## DMS HP Change Device Mode request DMS HP Change Device Mode request |

## Functions

QmiMessageDmsHpChangeDeviceModeInput * | qmi_message_dms_hp_change_device_mode_input_new ()
QmiMessageDmsHpChangeDeviceModeInput * | qmi_message_dms_hp_change_device_mode_input_ref ()
void | qmi_message_dms_hp_change_device_mode_input_unref ()
gboolean | qmi_message_dms_hp_change_device_mode_input_get_mode ()
gboolean | qmi_message_dms_hp_change_device_mode_input_set_mode ()
QmiMessageDmsHpChangeDeviceModeOutput * | qmi_message_dms_hp_change_device_mode_output_ref ()
void | qmi_message_dms_hp_change_device_mode_output_unref ()
gboolean | qmi_message_dms_hp_change_device_mode_output_get_result ()
void | qmi_client_dms_hp_change_device_mode ()
QmiMessageDmsHpChangeDeviceModeOutput * | qmi_client_dms_hp_change_device_mode_finish ()

## Types and Values

| QmiMessageDmsHpChangeDeviceModeInput
| QmiMessageDmsHpChangeDeviceModeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsHpChangeDeviceModeInput
        ╰── QmiMessageDmsHpChangeDeviceModeOutput

## Description

## Functions

### qmi_message_dms_hp_change_device_mode_input_new ()

    QmiMessageDmsHpChangeDeviceModeInput *
    qmi_message_dms_hp_change_device_mode_input_new
                                   (void);

Allocates a new QmiMessageDmsHpChangeDeviceModeInput.

#### Returns

the newly created QmiMessageDmsHpChangeDeviceModeInput. The returned value should be freed with `qmi_message_dms_hp_change_device_mode_input_unref()`.

Since: 1.18

### qmi_message_dms_hp_change_device_mode_input_ref ()

    QmiMessageDmsHpChangeDeviceModeInput *
    qmi_message_dms_hp_change_device_mode_input_ref
                                   (QmiMessageDmsHpChangeDeviceModeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_dms_hp_change_device_mode_input_unref ()

    void
    qmi_message_dms_hp_change_device_mode_input_unref
                                   (QmiMessageDmsHpChangeDeviceModeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeInput. |

Since: 1.18

### qmi_message_dms_hp_change_device_mode_input_get_mode ()

    gboolean
    qmi_message_dms_hp_change_device_mode_input_get_mode
                                   (QmiMessageDmsHpChangeDeviceModeInput *self,
                                    QmiDmsHpDeviceMode *value_mode,
                                    GError **error);

Get the 'Mode' field from `self` .

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeInput. |
value_mode | a placeholder for the output QmiDmsHpDeviceMode, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_hp_change_device_mode_input_set_mode ()

    gboolean
    qmi_message_dms_hp_change_device_mode_input_set_mode
                                   (QmiMessageDmsHpChangeDeviceModeInput *self,
                                    QmiDmsHpDeviceMode value_mode,
                                    GError **error);

Set the 'Mode' field in the message.

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeInput. |
value_mode | a QmiDmsHpDeviceMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_message_dms_hp_change_device_mode_output_ref ()

    QmiMessageDmsHpChangeDeviceModeOutput *
    qmi_message_dms_hp_change_device_mode_output_ref
                                   (QmiMessageDmsHpChangeDeviceModeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_dms_hp_change_device_mode_output_unref ()

    void
    qmi_message_dms_hp_change_device_mode_output_unref
                                   (QmiMessageDmsHpChangeDeviceModeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeOutput. |

Since: 1.18

### qmi_message_dms_hp_change_device_mode_output_get_result ()

    gboolean
    qmi_message_dms_hp_change_device_mode_output_get_result
                                   (QmiMessageDmsHpChangeDeviceModeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsHpChangeDeviceModeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.18

### qmi_client_dms_hp_change_device_mode ()

    void
    qmi_client_dms_hp_change_device_mode (QmiClientDms *self,
                                          QmiMessageDmsHpChangeDeviceModeInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a HP Change Device Mode request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_hp_change_device_mode_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsHpChangeDeviceModeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_dms_hp_change_device_mode_finish ()

    QmiMessageDmsHpChangeDeviceModeOutput *
    qmi_client_dms_hp_change_device_mode_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_hp_change_device_mode()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_hp_change_device_mode()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsHpChangeDeviceModeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_hp_change_device_mode_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageDmsHpChangeDeviceModeInput

    typedef struct _QmiMessageDmsHpChangeDeviceModeInput QmiMessageDmsHpChangeDeviceModeInput;

The QmiMessageDmsHpChangeDeviceModeInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageDmsHpChangeDeviceModeOutput

    typedef struct _QmiMessageDmsHpChangeDeviceModeOutput QmiMessageDmsHpChangeDeviceModeOutput;

The QmiMessageDmsHpChangeDeviceModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18